#
# spec file for package wspr
#
# Copyright (c) 2017 Walter Fey DL8FCL
#
# This file is under MIT license

Name:           wspr
Version:        4.0.r6053
Release:        lp153.4.1
License:        GPL-3.0
Summary:        Weak Signal Propagation Reporter
Url:            http://www.physics.princeton.edu/pulsar/K1JT/
Group:          Productivity/Hamradio/Other
Source:         %{name}-%{version}.tar.xz
Patch0:         wspr-fix-build.patch
Patch1:         wspr-fix-makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  alsa-devel
BuildRequires:  asciidoc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  f2c
BuildRequires:  fftw3-devel
BuildRequires:  gcc-c++
BuildRequires:  gcc-fortran
BuildRequires:  libpulse-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libxslt-tools
BuildRequires:  ncurses-utils
BuildRequires:  portaudio-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-numpy-devel
BuildRequires:  update-desktop-files

Requires:       hamlib
Requires:       python3
Requires:       python3-tk
Requires:       python3-numpy

%if 0%{suse_version} != 1315
Requires:       python3-Pillow-tk
%endif

%if 0%{suse_version} == 1315
Requires:       python3-Pillow
%endif

%description
The Weak Signal Propagation Reporter Network is a group of amateur radio operators using
K1JT's MEPT_JT digital mode to probe radio frequency propagation conditions using
very low power (QRP/QRPp) transmissions.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
sed -i 's/\r$//' wspr.py WsprMod/hopping.py
sed -i 's|#!/usr/bin/env bash|#!/bin/bash|' gocal

%build
autoreconf -fiv
%configure
make

%install
strip --strip-unneeded WsprMod/w.so
%make_install
# these files must not be executable
chmod -x %{buildroot}%{_datadir}/%{name}/*.py
chmod -x %{buildroot}%{_datadir}/%{name}/wsprrc
chmod -x %{buildroot}/usr/lib/wspr/WsprMod/*.py
# we do not need alien libs
rm %{buildroot}/usr/lib/wspr/WsprMod/*.dll

%suse_update_desktop_file -c wspr "WSPR v4.0" "Weak Signal Propagation Reporter" wspr wspr "Network;HamRadio"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
/usr/lib/wspr
%{_datadir}/wspr/
%{_datadir}/pixmaps/wspr.xpm
%{_datadir}/applications/wspr.desktop
%{_datadir}/doc/%{name}
%{_mandir}/man1/*

%changelog
* Sun Mar  3 2019 Martin Hauke <mardnh@gmx.de>
- Fix python-build depedencies
* Thu Nov  2 2017 mardnh@gmx.de
- Build with distro-wide CFLAGS
- Add patches
  * wspr-fix-build.patch (set initial value for the iclock variable
    to 33. Needed for distro-CFLAGS.
  * wspr-fix-makefile.patch (remove some unecessary´things from
    Makefile.in that prevent builds with Factory)
* Tue Nov 10 2015 dl8fcl@darc.de
- update to wspr-4.0.r6053
  Requires for openSUSE_Leap_42.1 fixed
* Sat Feb 21 2015 dl8fcl@darc.de
- update to wspr-4.0.r4980
  WSPR update configure.ac
  fix help message typo
* Sat Jan 10 2015 dl8fcl@darc.de
- update to wspr-4.0.r4889
  minor enhancements
  Url in spec file updated
* Sun Nov  2 2014 dl8fcl@darc.de
- update to wspr-4.0.r4522
* Thu Oct  9 2014 dl8fcl@darc.de
- update to wspr-4.0.r4479
* Tue Sep 30 2014 dl8fcl@darc.de
- update to wspr-4.0.r4344
  using python3
  files in homedir will be updated if newer
  fmt renamed to fmtest
  man pages added
* Sun Jun 30 2013 dl8fcl@darc.de
- update to wspr-4.0.r3015, Makefile.in corrected
* Sat Feb  2 2013 dl8fcl@darc.de
- update to wspr-4.0.r2963
* Wed Jan  2 2013 dl8fcl@darc.de
- update to wspr-4.0.r2874
* Tue Jul 10 2012 dl8fcl@darc.de
- update to wspr-3.01.r2504
* Thu Jul 14 2011 dl8fcl@darc.de
- update to wspr-3.00.r2436
- readme corrected
* Sun May 22 2011 dl8fcl@darc.de
- update to wspr-3.00.r2434
* Mon Oct 18 2010 dl8fcl@darc.de
- update to wspr-2.10.r2222
* Fri Jul 16 2010 dl8fcl@darc.de
- fix for new python-numpy
* Mon Jul  5 2010 dl8fcl@darc.de
- update to 2.01 svn.r1949
* Sun Mar  7 2010 dl8fcl@darc.de
- update to svn.r1827
* Wed Jan 27 2010 dl8fcl@darc.de
- update to svn.r1783
* Wed Nov 25 2009 dl8fcl@darc.de
- import into buildservice
